Class | ActiveMerchant::Billing::Integrations::Quickpay::Helper
In: | lib/active_merchant/billing/integrations/quickpay/helper.rb
Parent: | ActiveMerchant::Billing::Integrations::Helper

### Methods

form_fields format_order_number generate_md5check generate_md5string md5secret new

### Constants

MD5_CHECK_FIELDS | = | [ :protocol, :msgtype, :merchant, :language, :ordernumber, :amount, :currency, :continueurl, :cancelurl, :callbackurl, :autocapture, :cardtypelock, :description, :ipaddress, :testmode

### Public Class methods

new(order, account, options = {})

### Public Instance methods

form_fields()
format_order_number(number)

Limited to 20 digits max

generate_md5check()
generate_md5string()
md5secret(value)

[Validate]